Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -209,6 +209,8 @@ Patch75: gcc41-pr34146.patch
 Patch76: gcc41-rh364001.patch
 Patch77: gcc41-arm-progbits.patch
 Patch78: libgcc_post_upgrade.c.arm.patch
+Patch79: gcc41-arm-config-guess-fix.patch
+Patch80: gcc41-unbreak-armv4t.patch
 
 # On ARM EABI systems, we do want -gnueabi to be part of the
 # target triple.
@@ -567,6 +569,10 @@ which are required to run programs compi
 %patch75 -p0 -b .pr34146~
 %patch76 -p0 -b .rh364001~
 %patch77 -p0 -b .progbits~
+%patch79 -p0 -b .armconfig~
+%ifarch armv4tb armv4tl
+%patch80 -p0 -b .armv4t~
+%endif
 
 %if %{bootstrap_java}
 tar xjf %{SOURCE10}
